View Issue Details

IDProjectCategoryView StatusLast Update
0008054VALENTINA STUDIOOtherpublic2017-08-25 20:50
ReporterSergey PashkovAssigned ToSergey Pashkov 
PriorityimmediateSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSMAC OS OS Version*
Product Version7.4.x 
Target Version7.4.xFixed in Version7.4.x 
Summary0008054: Fix crash on check of bookmarks after some time [macOS]
Description1. Create 20 to MySQL, PostgreSQL bookmarks
2. Leave for 30 minutes
3. Try to refresh the Start Page -> Crash
Additional InformationThread 7 Crashed:
0 libsystem_kernel.dylib 0x00007fffdd1a7d42 __pthread_kill + 10
1 libsystem_pthread.dylib 0x00007fffdd295457 pthread_kill + 90
2 libsystem_c.dylib 0x00007fffdd10d420 abort + 129
3 org.qt-project.QtCore 0x00000001022bcae9 0x1022a7000 + 88809
4 org.qt-project.QtCore 0x00000001022be4b7 QMessageLogger::fatal(char const*, ...) const + 231
5 org.qt-project.QtCore 0x00000001024df46f QEventDispatcherUNIXPrivate::QEventDispatcherUNIXPrivate() + 527
6 org.qt-project.QtCore 0x00000001024dfc05 QEventDispatcherUNIX::QEventDispatcherUNIX(QObject*) + 37
7 org.qt-project.QtCore 0x00000001022d0773 0x1022a7000 + 169843
8 org.qt-project.QtCore 0x00000001022d0883 0x1022a7000 + 170115
9 libsystem_pthread.dylib 0x00007fffdd29293b _pthread_body + 180
10 libsystem_pthread.dylib 0x00007fffdd292887 _pthread_start + 286
11 libsystem_pthread.dylib 0x00007fffdd29208d thread_start + 13
TagsNo tags attached.
Working with DB:Not specified
Version of your DB

Activities

Sergey Pashkov

Sergey Pashkov

2017-08-23 19:59

developer   ~0009870

The problem is definitely in the MariaDB client.

If some MySQL bookmark points to not accessible server, list of used sockets become full of the next rows (lsof -p PID):
Valentina 985 admin 442u IPv6 0x11affde27bca9407 0t0 TCP localhost:52390->localhost:mysql (CLOSED)
Valentina 985 admin 443u IPv6 0x11affde27be3c407 0t0 TCP localhost:52492->localhost:mysql (CLOSED)
Valentina 985 admin 444u IPv6 0x11affde27bde4407 0t0 TCP localhost:52399->localhost:mysql (CLOSED)
Valentina 985 admin 445u IPv6 0x11affde27bde4e87 0t0 TCP localhost:52416->localhost:mysql (CLOSED)
Valentina 985 admin 446u IPv6 0x11affde27be6be87 0t0 TCP localhost:52738->localhost:mysql (CLOSED)
Valentina 985 admin 447u IPv6 0x11affde27be12407 0t0 TCP localhost:52430->localhost:mysql (CLOSED)
Valentina 985 admin 448u IPv6 0x11affde27be12e87 0t0 TCP localhost:52437->localhost:mysql (CLOSED)
Valentina 985 admin 449u IPv6 0x11affde27be44407 0t0 TCP localhost:52517->localhost:mysql (CLOSED)
Valentina 985 admin 450u IPv6 0x11affde27be23e87 0t0 TCP localhost:52455->localhost:mysql (CLOSED)
Valentina 985 admin 451u IPv6 0x11affde27be23407 0t0 TCP localhost:52462->localhost:mysql (CLOSED)

At some point, the limit is exceeded and the crash happens.
Sergey Pashkov

Sergey Pashkov

2017-08-24 22:05

developer   ~0009873

MariaDB client version 10.1.26 doesn't have this issue
Sergey Pashkov

Sergey Pashkov

2017-08-25 20:50

developer   ~0009878

MariaDB on all systems downgraded to 10.1.26

Issue History

Date Modified Username Field Change
2017-08-23 05:26 Sergey Pashkov New Issue
2017-08-23 05:26 Sergey Pashkov Status new => assigned
2017-08-23 05:26 Sergey Pashkov Assigned To => Sergey Pashkov
2017-08-23 19:59 Sergey Pashkov Note Added: 0009870
2017-08-24 22:05 Sergey Pashkov Note Added: 0009873
2017-08-25 20:49 Sergey Pashkov Summary Fix crash on check of bookmarks after some time => Fix crash on check of bookmarks after some time [macOS]
2017-08-25 20:50 Sergey Pashkov Note Added: 0009878
2017-08-25 20:50 Sergey Pashkov Status assigned => resolved
2017-08-25 20:50 Sergey Pashkov Fixed in Version => 7.4.x
2017-08-25 20:50 Sergey Pashkov Resolution open => fixed